<div *ngIf="control?.errors && (control?.touched || control?.dirty)">
  <div *ngFor="let errorKey of errorKeys">
    <div *ngIf="control.hasError(errorKey) && (parentForm?.touched || parentForm?.dirty)">
        <div class="error">
          {{ 'ERRORS.text.' + errorKey | translate : buildParameters(control.errors) }}
        </div>
    </div>
  </div>
</div>
